
/* ============================= */
/*        1024px BREAKPOINT      */


/* ============================= */
@media (max-width: 1024px) {
 
    .toggle-btn {
    display: block;
    cursor: pointer;
  }
 
.top-right{
    display: none;
}
  .us-footer-inner {
    flex-wrap: wrap;
    gap: 30px;
  }

  .us-col {
    flex: 0 0 48%;
  }

  /* Third column full width below */
  .us-col:nth-child(3) {
    flex: 0 0 100%;
  }

  /* banner section  */
  .banner-text .search-box input {
    margin-top: 35px;
    height: 47px;
    width: 60rem;
  }

.over-flow-top {
  font-size: 35px;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  margin: 0px 2px;
  width: 143px;
  background-color: #fff;
  padding: 25px 0px;}
  /* .over-flow-top {
    font-size: 25px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    margin: 0px 0px;
    width: 129px;
    background-color: #fff;
    padding: 15px 0px; */
  /* .over-flow-top {
    margin-top: 35px;
    height: 18%;
    width: 70%;
    padding: 8px 10px;
  }
over-flow-sec */
  .over-flow-top h5 {
    font-size: 15px;
  }

  /* service section  */
  .product-section {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 25px;

  }

  .urja-wrapper {

    grid-template-columns: repeat(2, 1fr);

  }
  .urja-wrapper {
    row-gap: 35px;
  justify-content: space-evenly;
  margin-top: 20px;
  place-items: anchor-center;
  padding: 34px 0;
}
.urja-box{
  padding: 45px 50px !important;
}
  .features-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }

  .wcu-section {
    /* position: relative; */
    padding: 104px 63px 120px;
  }

  .counter-card {
    margin: 27px 20px;
  }

  .counters-grid {

    grid-template-columns: repeat(2, 1fr);

  }

  .content-wrapper {
    display: inline-block;
  }

  .image-section img {
    width: 50%;

  }

  .features-grid {

    grid-template-columns: repeat(2, 1fr);
  }

  .counters-grid {

    grid-template-columns: 48% 48%;
    gap: 50px;
  }
  /* footer section */
  .us-footer-inner{
    display: inline-block;
  }
  .top-header {

  
    position: fixed;
    left: 0;
    gap: 12px;
    right: 0;
    background: black;
}
.about-grid {
   
    grid-template-columns: 1fr;
}
.about-right p {
  text-align: justify;
}
 .about-main-img img {
    width: 70%;
}
.us-footer {
    background: #111827;
    color: #cbd5e1;
    padding: 100px 50px;}
    .about-right{
      padding: 0 20px;
    }
    .hero-content h1 {
    font-size: 36px;
    margin: 0;
}
  .hero-img {
   position: absolute;
    right: 0;
    bottom: 0;
    height: 68% !important;
  }
  .banner-text h2 {
   
    font-size: 30px;
}
.banner-solar-text{
    padding: 12% 0;
    margin: 126px 1px;
}
.details-section {
    /* padding: 0 16px; */
    margin-bottom: 30px;
}
.banner-text .search-box button {
    width: 200px;
    height: 47px;
    padding: 3px 6px 1px;
    margin: 0px -4px;
}}
/* ============================= */
/*        768px BREAKPOINT     --------------------------------------------  */
/* ============================= */
@media (max-width: 768px) {
  .toggle-btn {
    display: block;
    cursor: pointer;
  }
  .us-footer {
    padding: 50px 50px;
  }
.product-section {
    grid-template-columns: repeat(1, 1fr);
    gap: 25px;

  }
  .urja-wrapper {

    grid-template-columns: repeat(2, 1fr);

  }
  .us-footer-inner {
    flex-direction: column;
    gap: 35px;
  }

  .us-col {
    flex: 100%;
    width: 100%;
  }

  .us-col h3 {
    font-size: 18px;
  }

  .us-links a {
    font-size: 13px;
  }

  .us-contact i {
    font-size: 16px;
  }

  .us-bottom {
    font-size: 13px;
    padding: 15px;
    text-align: center;
  }

  

  .counters-grid {

    grid-template-columns: repeat(2, 1fr);
    gap: 2px;
  }

  .features-grid {
    grid-template-columns: repeat(1, 1fr);
  }

  .content-wrapper {
    display: inline-block;
  }
  .about-grid {
   
    grid-template-columns: 1fr;
}
.about-right p {
  text-align: justify;
}
 .about-right {
      padding: 0 20px;
    }
    .hero-img{
     width:  70%;
    }
    .hero-img {
   position: absolute;
    right: 0;
    bottom: 0;
    height: 58% !important;
  }
  .hero-content h1 {
    font-size: 36px;
    margin: 0;
}
.banner-text h2 {
   
    font-size: 30px;
}
.banner-solar-text{
    padding: 12% 0;
    margin: 126px 1px;
}
.details-section {
    /* padding: 0 16px; */
    margin-bottom: 30px;
}
.banner-text .search-box button {
    width: 180px;
    /* height: 50px; */
    padding: 6px 6px 4px;
    margin: 0px ;
}
.banner-text .search-box input {
    margin-top: 35px;
    height: 47px;
    width: 50rem;
}
.over-flow-top {
  display: none;
}
.hover-line span .counter-heading {
  font-size:30px;
  line-height: 0.8;
}
}
@media (max-width: 500px) {
  .banner-text .search-box input {
    margin-top: 35px;
     width: 38rem;
} 
.banner-text .search-box button {
    width: 150px;
    
}
  .hero-img {
    height: 50% !important;
      width: 60%;
  }
}
/* @media (max-width: 480 resposive-------------------------------------------------------------------------- */
@media (max-width: 480px) {
 .nav-menu.active .close-btn {
    top: -16px;
    left: -7%;
  }
  .product-section {
    grid-template-columns: repeat(1, 1fr);

    /* margin-top: 10px;    */
  }
.hero-img {
    
    height: 45% !important;
  }
  .urja-wrapper {

    grid-template-columns: repeat(1, 1fr);
    place-items: center;
    
    margin: 30px 0;
  }

  .counters-grid {

    grid-template-columns: repeat(1, 1fr);
    gap: 2px;
  }

  .features-grid {
    grid-template-columns: repeat(1, 1fr);
  }
  .banner-text .search-box input {
    margin-top: 35px;
    height: 38;
    width: 27rem;
  } 
   .banner-text .search-box button {
    width: 100px;
    height: 38px;
padding: 0;
   }

  .banner-text .search-box button {
    width: 100px;
    height: 38px;
    padding: 0px 0;
    margin: 0px;
  }
  #banner1 {
  margin-bottom: 0px;
  height: 60vh;
  width: 100% !important;
  top: 8%;
  left: 0;
  z-index: 1;

}
  #banner2 {
  margin-bottom: 0px;
  height: 60vh;
  width: 100% !important;
  top: 8%;
  left: 0;
  z-index: 1;

}
  #banner3 {
  margin-bottom: 0px;
  height: 60vh;
  width: 100% !important;
  top: 8%;
  left: 0;
  z-index: 1;

}
.search-box {
  padding: 0px 23px 23px 16px;
  margin: 0px 50px;
}
  .banner-solar-text {
    padding: 50% 0;
  }
.hover-line span .counter-heading {
  font-size:30px;
}
.emi-panel {
  position: absolute;
  top: 2%;
  right: 10%;
  width: 300px;
    
}
.close-btn {
  position: absolute;
  top: -5px;
  left: -8%;
    
}
.cta-btn {
  width: 100%;
  padding: 9px;
    font-size: 12px;
}
.search-box {
  background: rgba(18, 47, 27, 0.51);
padding: 10px 10px;
  margin: 0 26px;
}
.stat-item {
  padding: 10px;
    
}
}
